zookeeper-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hadoop QA (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (ZOOKEEPER-2859) CMake build doesn't support OS X
Date Wed, 26 Jul 2017 22:30:00 GMT

    [ https://issues.apache.org/jira/browse/ZOOKEEPER-2859?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16102387#comment-16102387
] 

Hadoop QA commented on ZOOKEEPER-2859:
--------------------------------------

-1 overall.  GitHub Pull Request  Build
      

    +1 @author.  The patch does not contain any @author tags.

    +0 tests included.  The patch appears to be a documentation patch that doesn't require
tests.

    +1 javadoc.  The javadoc tool did not generate any warning messages.

    +1 javac.  The applied patch does not increase the total number of javac compiler warnings.

    +1 findbugs.  The patch does not introduce any new Findbugs (version 3.0.1) warnings.

    +1 release audit.  The applied patch does not increase the total number of release audit
warnings.

    -1 core tests.  The patch failed core unit tests.

    +1 contrib tests.  The patch passed contrib unit tests.

Test results: https://builds.apache.org/job/PreCommit-ZOOKEEPER-github-pr-build/902//testReport/
Findbugs warnings: https://builds.apache.org/job/PreCommit-ZOOKEEPER-github-pr-build/902//artifact/trunk/build/test/findbugs/newPatchFindbugsWarnings.html
Console output: https://builds.apache.org/job/PreCommit-ZOOKEEPER-github-pr-build/902//console

This message is automatically generated.

> CMake build doesn't support OS X
> --------------------------------
>
>                 Key: ZOOKEEPER-2859
>                 URL: https://issues.apache.org/jira/browse/ZOOKEEPER-2859
>             Project: ZooKeeper
>          Issue Type: Bug
>         Environment: OS X 10.12.6
>            Reporter: Andrew Schwartzmeyer
>            Assignee: Andrew Schwartzmeyer
>
> Couple problems:
> libm, librt, and libdl are all Linux specific, and provided "for free" on OS X
> CppUnit (at least on OS X) needs `-std=c++11`
> clang's ld doesn't understand --wrap
> I can post an easy patch that at least lets you build the client (but not the tests).
The tests use that `--wrap` and it's non trivial to fix that on OS X.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message